> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Web3KeysResponse Schema

> Web3KeysResponse JSON Schema for 0xArchive OpenAPI responses and field contracts. Includes route metadata, schemas, examples, and implementation notes.

Source OpenAPI: 0xArchive API 1.5.0; 140 paths; 119 component schemas.

Use the JSON Schema block below for field-level types, required fields, nested objects, and enum values.

## Required Fields

No required fields are declared on this component schema.

## JSON Schema

```json theme={"theme":"github-dark"}
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "Web3KeysResponse",
  "type": "object",
  "properties": {
    "keys": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "created_at": {
            "description": "Creation timestamp",
            "type": "string",
            "format": "date-time"
          },
          "id": {
            "description": "Unique key ID",
            "type": "string",
            "format": "uuid"
          },
          "is_active": {
            "description": "Whether the key is currently active",
            "type": "boolean"
          },
          "key_prefix": {
            "description": "First characters of the key for identification",
            "type": "string",
            "example": "0xa_live_abc1"
          },
          "last_used_at": {
            "description": "Last usage timestamp",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "name": {
            "description": "Key name",
            "type": "string"
          }
        }
      }
    },
    "wallet_address": {
      "description": "The wallet address",
      "type": "string"
    }
  }
}
```

## Referenced By

* [POST /v1/web3/keys](/schemas/operations/web3-list-keys)
